package com.hfkj.entity;

import java.io.Serializable;

/**
 * sec_region
 * @author 
 */
/**
 * 
 * 代码由工具生成
 * 
 **/
public class SecRegion implements Serializable {
    /**
     * 主键
     */
    private Long regionId;

    /**
     * 省市区
     */
    private String regionName;

    /**
     * 父类id
     */
    private Long parentId;

    /**
     * 状态  0：不可用  1：可用
     */
    private Integer status;

    /**
     * 拉卡拉区域编号
     */
    private Long lakala;

    /**
     * SAAS系统地区编码
     */
    private String saasCode;

    /**
     * SAAS系统银行地区编码
     */
    private String saasBankCode;

    private String ext1;

    private String ext2;

    private String ext3;

    private static final long serialVersionUID = 1L;

    public Long getRegionId() {
        return regionId;
    }

    public void setRegionId(Long regionId) {
        this.regionId = regionId;
    }

    public String getRegionName() {
        return regionName;
    }

    public void setRegionName(String regionName) {
        this.regionName = regionName;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Long getLakala() {
        return lakala;
    }

    public void setLakala(Long lakala) {
        this.lakala = lakala;
    }

    public String getSaasCode() {
        return saasCode;
    }

    public void setSaasCode(String saasCode) {
        this.saasCode = saasCode;
    }

    public String getSaasBankCode() {
        return saasBankCode;
    }

    public void setSaasBankCode(String saasBankCode) {
        this.saasBankCode = saasBankCode;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    public String getExt3() {
        return ext3;
    }

    public void setExt3(String ext3) {
        this.ext3 = ext3;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        SecRegion other = (SecRegion) that;
        return (this.getRegionId() == null ? other.getRegionId() == null : this.getRegionId().equals(other.getRegionId()))
            && (this.getRegionName() == null ? other.getRegionName() == null : this.getRegionName().equals(other.getRegionName()))
            && (this.getParentId() == null ? other.getParentId() == null : this.getParentId().equals(other.getParentId()))
            && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
            && (this.getLakala() == null ? other.getLakala() == null : this.getLakala().equals(other.getLakala()))
            && (this.getSaasCode() == null ? other.getSaasCode() == null : this.getSaasCode().equals(other.getSaasCode()))
            && (this.getSaasBankCode() == null ? other.getSaasBankCode() == null : this.getSaasBankCode().equals(other.getSaasBankCode()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getRegionId() == null) ? 0 : getRegionId().hashCode());
        result = prime * result + ((getRegionName() == null) ? 0 : getRegionName().hashCode());
        result = prime * result + ((getParentId() == null) ? 0 : getParentId().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getLakala() == null) ? 0 : getLakala().hashCode());
        result = prime * result + ((getSaasCode() == null) ? 0 : getSaasCode().hashCode());
        result = prime * result + ((getSaasBankCode() == null) ? 0 : getSaasBankCode().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", regionId=").append(regionId);
        sb.append(", regionName=").append(regionName);
        sb.append(", parentId=").append(parentId);
        sb.append(", status=").append(status);
        sb.append(", lakala=").append(lakala);
        sb.append(", saasCode=").append(saasCode);
        sb.append(", saasBankCode=").append(saasBankCode);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}